dtdocbook2infolib(user cmd)

NAME
dtdocbook2infolib — access DtInfo Toolkit functions

SYNOPSIS

dtdocbook2infolib [-h]

dtdocbook2infolib admin [-h] -L Locale

dtdocbook2infolib build [-h] -L Locale [-T TmpDir] [-m CatalogFile] -l Library -d LibraryDescription -n LibraryShortName Bookcase ...

dtdocbook2infolib tocgen [-h] -L Locale [-T TmpDir] [-m CatalogFile] [-id TOCid] [-title TOCtitle] document ... -f TOCfile

dtdocbook2infolib update [-h] -L Locale [-T TmpDir] [-m CatalogFile] -b BookcaseName -l library stylesheet

dtdocbook2infolib validate [-h] -L Locale [-T TmpDir] [-m CatalogFile] SGMLdocument

DESCRIPTION

The DtInfo Toolkit command, dtdocbook2infolib, is used to create and modify hypertext information libraries. dtdocbook2infolib implements its functions through a set of subcommands:

admin
    Modify the contents of an information library by copying, renaming, rearranging, or removing bookcases. You can also list the contents of a library.

build
    Build a DtInfo information library from bookcase specifications.

tocgen
    Generate a hypertext table of contents for a book.

update
    Replace existing style sheet information in a bookcase.

validate
    Verify that a document conforms to SGML and to the DocBook.DTD.

OPTIONS

The following options are available:

-h  Displays a help message for each available option.

-L Locale
    Specifies the locale of the information library.

-T TmpDir
    Specifies the directory in which temporary files are placed during the build process. The default is to use the environment variable TMPDIR. If variable TMPDIR is not set, /tmp is used.

-m CatalogFile
    Specifies a catalog file conforming to the SGML Open specification for resolving SGML entities. You can use multiple -m options to specify as many CatalogFiles as you wish.

-l Library
    Specifies the location of the information library to build. Library is the name of the directory that contains the built bookcase(s).

-d LibraryDescription
    LibraryDescription is a brief description of the information library to be built.

-n LibraryShortName
    LibraryShortName specifies an abbreviated name for the information library to be built.

bookcase
    The SGML bookcase instance conforming to the dtinfoBook.dtd.

-f TOCfile
    Specifies the SGML instance of a hypertext table of contents conforming to the dtinfoTOC.dtd.

document
    A DocBook SGML source file.

-b BookcaseName
    The name of the bookcase whose style sheet information will be updated. The content of the BOOKCASENAME element in the dtinfoBook.dtd.

stylesheet
    The style sheet that is to be updated in the bookcase.

SGMLdocument
    Any SGML document to be validated.

-id TOCid
    The unique identifier of the hypertext table of contents document.

-title TOCtitle
    The title of the table of contents. This title will be displayed in the DtInfo Browser.

admin

The admin subcommand is an interactive script for modifying an existing information library without rebuilding it. It displays a command line menu from which you select one of the following administration functions to perform on a specified information library:

•   Copy a bookcase from another library.

•   Remove a bookcase from a library.

•   List the bookcases in a library.

•   Rename a bookcase.

•   Rearrange bookcases within a library.

  Example

Enter the dtdocbook2infolib admin -L en_US.UTF-8 command in a shell window:

dtdocbook2infolib admin -L en_US.UTF-8

The following menu appears:

1) Copy a bookcase from another library
2) Remove a bookcase
3) List bookcases in a library
4) Rename a bookcase
5) Rearrange bookcases in a library
6) Exit
Please enter your choice [1-6]

Enter the number associated with the administrative task you want to perform. dtdocbook2infolib admin -L en_US.UTF-8 prompts for additional input as required.

build

The build subcommand compiles a bookcase specification into a hypertext database. It validates the hypertext links, the identifier uniqueness, and the hierarchical structure of the bookcase elements. It also creates a full-text search index.

  Example

Enter the dtdocbook2infolib build -L en_US.UTF-8 command in a shell window.

To build an information library containing multiple bookcases, an example command might be:

dtdocbook2infolib build -L en_US.UTF-8 -l UNIXLib -T /usr/pers ProgBooks RefBooks UAdminBooks

This build command creates a document database from three bookcases (ProgBooks, RefBooks, and UAdminBooks) and reports any errors. It uses /usr/pers to store temporary intermediate files, and it deposits the database in a directory (library) called UNIXLib.

tocgen

The tocgen subcommand reads the SGML-conforming source file(s) for a book and generates a hypertext table of contents.

  Example

Enter the dtdocbook2infolib tocgen -L en_US.UTF-8 command in a shell window.

To generate a hypertext table of contents for a book containing six SGML book source files, each of which contains a separate chapter, an example command might be:

dtdocbook2infolib tocgen -L en_US.UTF-8 -T /usr/pers -f Perl.TOC -id Perl0594
-title "Perl Table of Contents" Perl.01 Perl.02 Perl.03 Perl.04 Perl.05 Perl.06

This tocgen command generates a table of contents file named Perl.TOC with the unique identifier Perl0594 and the title PerlTable of Contents. tocgen parses the files Perl.01, Perl.02, Perl.03, Perl.04, Perl.05, and Perl.06 to produce the TOC.

The tocgen process uses /usr/pers to store temporary intermediate files during processing.

update

The dtdocbook2infolib update -L en_US.UTF-8 command dynamically replaces existing style sheets in the DtInfo document database.

  Example

Enter the dtdocbook2infolib update -L en_US.UTF-8 command in a shell window.

Here is an example of a dtdocbook2infolib update -L en_US.UTF-8 command used to reformat the documents and/or document sections that use the specified style sheet:

dtdocbook2infolib update -L en_US.UTF-8 -T /usr/pers -b ICE9 -l Brunn style

This update command reformats the documents or document sections in the Brunn information library that use the style sheet named style, that is specified in the bookcase named ICE9.

validate

The dtdocbook2infolib validate -L en_US.UTF-8 command performs SGML validation on bookcase specifications, on individual book source files, or any SGML document.

  Examples

Enter the dtdocbook2infolib validate -L en_US.UTF-8 in a shell window.

Here is an example of a dtdocbook2infolib validate -L en_US.UTF-8 command that performs validation on three SGML book source files:

dtdocbook2infolib validate -L en_US.UTF-8 03.Structure.N 04.Process.N 05.BookArea.N

This validate command verifies the SGML compliance of the three files, 03.Structure.N, 04.Process.N, and 05.BookArea.N, based on their DTD(s).

SEE ALSO

dtinfo(1), dtinfoBook.dtd - dtinfoBookdtd(5), dtinfoStyle.dtd - dtinfoStyledtd(5), dtinfoTOC.dtd - dtinfoTOCdtd(5)